import request from "@/util/oaRequest"

// 日常报销单
export function listReimburseReq(query) {
  return request({
    url: '/hrm/reimburse/list',
    method: 'get',
    params: query
  })
}

export function getReimburseReq(bizId) {
  return request({
    url: `/hrm/reimburse/${bizId}`,
    method: 'get'
  })
}

export function addReimburseReq(data) {
  return request({
    url: '/hrm/reimburse',
    method: 'post',
    data
  })
}

export function editReimburseReq(data) {
  return request({
    url: '/hrm/reimburse',
    method: 'put',
    data
  })
}

export function delReimburseReq(bizIds) {
  return request({
    url: `/hrm/reimburse/${bizIds}`,
    method: 'delete'
  })
}

export function allReimburseReq(query) {
  return request({
    url: '/hrm/reimburse/all',
    method: 'get',
    params: query
  })
}

